changeset 17:703590d47608

lib/ncurses: initial import, closes #1009
author David Demelier <markand@malikania.fr>
date Sat, 23 Feb 2019 11:45:13 +0100
parents 79ee082bf62f
children 55de38cecaf7
files lib/ncurses/ncurses.info lib/ncurses/ncurses.sh
diffstat 2 files changed, 70 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/lib/ncurses/ncurses.info	Sat Feb 23 11:45:13 2019 +0100
@@ -0,0 +1,22 @@
+#!/bin/sh
+#
+# Copyright (c) 2019 David Demelier <markand@malikania.fr>
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+#
+
+PKGNAME=ncurses
+PKGVERSION=6.1
+PKGREVISION=1
+PKGSUMMARY="curses library"
+PKGDOWNLOAD="https://ftp.gnu.org/pub/gnu/$PKGNAME/$PKGNAME-$PKGVERSION.tar.gz"
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/lib/ncurses/ncurses.sh	Sat Feb 23 11:45:13 2019 +0100
@@ -0,0 +1,48 @@
+#!/bin/sh
+#
+# Copyright (c) 2019 David Demelier <markand@malikania.fr>
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+#
+
+source ./ncurses.info
+
+case $(uname -m) in
+x86_64)
+	CFLAGS="-O2 -fPIC"
+	;;
+*)
+	CFLAGS="-O2"
+	;;
+esac
+
+set -e
+
+rm -rf $PKGNAME-$PKGVERSION
+tar xvaf $PKGNAME-$PKGVERSION.tar.gz
+pushd $PKGNAME-$PKGVERSION
+
+CFLAGS="$CFLAGS" ./configure \
+	--prefix=/usr \
+	--without-debug \
+	--with-shared \
+	--enable-widec \
+	--enable-pc-files \
+	--with-pkg-config-libdir=/usr/lib/pkgconfig \
+	--with-cxx-binding \
+	--with-cxx-shared
+make
+make install DESTDIR=$DESTDIR
+
+popd
+rm -rf $PKGNAME-$PKGVERSION